EA-Server 6.2 to PowerBuilder 11.2 EJB client update #2

I've been working off and on for the last couple of months in the attempt to 
create a model EA-Server 6.2 application that can return a PowerBuilder NVO 
and be used from PowerBuilder EA-Server clients, PowerBuilder EJB clients, 
generic EJB clients, and generic SOAP clients.

As documented in previous threds that I started back in April, I was unable 
to get either of the PowerBuilder client models to successfully work with 
the returned NVO.  My local Sybase branch connected me informally with a 
couple of folks from Sybase China and long story short, I was told to hang 
on until PowerBuilder 11.2 Build 8806 was released.  Well, 8806 was released 
a few days ago and the good news is that I can now access a returned NVO via 
the native PowerBuilder/EA-Server interface, however, my PowerBuilder EJB 
client still raises an error that contains the following text:

"com.sybase.djc.rmi.iiop.ObjectRef_DJC"

Code snippet:
===================================================
string                ls_TstStr[] // Test string array
faaCodeBean   lc_FCodeB // FAA Code Bean class
easSession       lc_EASess // EA-Server Session class

// After establishing a connection to the EA-Server EJB service...

// Try something simple first...
try
   ls_TstStr[1] = lc_EASess.getTestString()
   ls_TstStr[2] = lc_EASess.getServerName()
catch (exception e0)
   messagebox('nvo_ejb_manager.getFaaCodeBean()', e0.GetMessage())
   return -4
end try

// The above calls are returned successfully...

// Make the call to fetch the EJB...
try
   lc_FCodeB = lc_EASess.getFaaCodeBean()
catch (exception e1)
   messagebox('nvo_ejb_manager.getFaaCodeBean()', e1.GetMessage())
   return -5
end try

// The e1.GetMessage() method returns the following text:
//  "com.sybase.djc.rmi.iiop.ObjectRef_DJC"
===================================================

Any thoughts?

0
Dale
11/3/2009 2:11:28 AM
sybase.easerver.powerbuilder 3902 articles. 0 followers. Follow

0 Replies
1676 Views

Similar Articles

[PageSpeed] 22
Get it on Google Play
Get it on Apple App Store

Reply:

Similar Artilces:

EA-Server 6.2 to PowerBuilder 11.2 EJB client update
I've been working off and on for the last couple of months in the attempt to create a model EA-Server 6.2 application that can return a PowerBuilder NVO and be used from PowerBuilder EA-Server clients, PowerBuilder EJB clients, generic EJB clients, and generic SOAP clients. As documented in previous threds that I started back in April, I was unable to get either of the PowerBuilder client models to successfully work with the returned NVO. My local Sybase branch connected me informally with a couple of folks from Sybase China and long story short, I was told to hang on unt...

Update 6.2.2.190 to 6.3.2.700
Hello, I trying to update ZPM. All prereqs are ok: - W2K03SP1 - MSDE2000SP4 The installation runs until the update of database. This fails. The installation script restores the 6.2.2.190. Cut & paste from the event viewer: Error Patching Database Message: Internal SQL Server error. StackTrace: at PLUS_SQL.SQLConfig.ExecuteCommand(String dbString, StreamReader sr, String filename) at PLUSWebServicesConfig.PLUSWebServicesConfig.Main(String[] args) Any ideas ? Thanx Mathias Mathias, > at PLUS_SQL.SQLConfig.ExecuteCommand(String dbString, StreamR...

6.2.2.181 clients and 6.3 Server
Is there a known issue with 6.2.2.181 clients not returning any Vulnerabilities? I was having an issue of getting the 6.2.2.181 clients pointed to the new server URL....I ended up pushing a .reg file to the clients and this did in fact point them to the right URL but they are still not showing any Vulnerabilities. Grant I was able to test this theory and I upgraded a 6.2.2.181 client to 6.3.2.700 and then had it ran a DAU when it contacted the server and this time it did return Device Vulnerabilities....so I guess I answered my own question. Grant > Is there a known...

Server 6.2.2.189 but Agent 6.0.2.97
Hello, We have running server version 6.2.2.189. If i open the agent download window, it shows me version 6.2.2.189. But after installing the agent version under "Computers" is 6.0.2.97. If i check this on the workstation in system control it shows me also 6.0.2.97. Whats going on here? What is the current agent version? Thank you in advance for your help UVEX Arbeitsschutz GmbH Andreas Ebert Andreas, for which OS? -- Shaun Pond Hello, it's a W2k SP4 workstation. Regards Andreas I could deploy the version 6.2.2.181 with Patchlink to this W...

Powerbuilder Upgrade from 8.2 to 11.2
Hi, We're looking to upgrade our pfc application from 8.2 to 11.2. Are there any documents available to help me with this. Anyting in particular I need to ensure \ avoid? Thank Raj Take a look at Terry Voth's site for upgrade info: http://www.techno-kitten.com/PowerBuilder_Help/PowerBuilder_Migration/powerbuilder_migration.html -- Terry Dykstra (TeamSybase) http://powerbuilder.codeXchange.sybase.com/ http://casexpress.sybase.com product enhancement requests: http://my.isug.com/cgi-bin/1/c/submit_enhancement <raj.khanna@edftrading.com> wrote in message ne...

ASE 11.9.2 on Solaris 2.6 #2
What is the "minimum" EBF level for 11.9.2 on Solaris 2.6? Yann Courtel wrote: > > What is the "minimum" EBF level for 11.9.2 on Solaris 2.6? None. -am ...

Ctrl-Alt-F1 almost always gives black screen ( 11.2, 2.6.31.14-0.6, gnome 2.28.2)
On rare occasions, Ctrl-Alt-F1 does work! -- recently, from "less" in a Gnome xterm, for example. Successful outcomes are not reproducible, however. "chvt 1" under root produces the same black screen, so the problem is not due to a bad keymap or undetected keystroke. There is no cursor on the screen. Caps Lock does function, as does Alt-F7: system is not frozen. I tried killing the X Server (using Ctrl-Alt-Backspace). Ctrl-Alt-F1 then works properly but only till I log in. I tried changing the boot options: : eliminated splash and quiet : changed vga=...

[SOLVED]: Ctrl-Alt-F1 almost always gives black screen ( 11.2, 2.6.31.14-0.6, gnome 2.28.2)
'Here' (http://tinyurl.com/6xpunco) is the solution. (I don't know how to change the title of the original thread to indicate that the problem is solved, so I've started a new thread with a link. There must be an easier way!) -- NonZ ------------------------------------------------------------------------ On 02/20/2011 10:36 AM, NonZ wrote: > > (. . . There must be an easier way!) the easiest way: we don't mark our threads here as "[SOLVED]" for several reasons which you can learn about by using the forums advanced search functi...

EAS 6.2/PowerBuilder 11/ORBIdleConnectionTimeout
This setting does not appear to be working. It was with PB 10.2 and EAS 5. Has anyone tested this setting with these versions? -- Larry Cermak [Team Sybase] Branick Consulting, Inc. www.branick-inc.com EAServer & PowerBuilder Consulting & Training EAServer and PowerBuilder Computer Based Training Courses Larry, Is this with PB .NET clients, or PB Win32 clients? ORBIdleConnectionTimeout is always client-managed. The server version shouldn't make a difference. You might try creating a client log file by setting environment variables: set JAG_LOG_FILE...

updated 1.2.2 to 2.0.1 but still shows 1.2.2
I just reinstalled the SBS 6 with the NW6 SP3 Overly cd and i put web access, iprint, dhcp/dns, naas on the initial install. I then proceded to upgrade edir to 8.7.1 ( i updated jvm and the other stuff that 8.7.1 required first) and everything went great. I then udated imanager from 1.2.2. to 2.0.1 and the install went as expected no errors or anything. Here is the problem when i surf to iManager with internet exploder 6 it shows me i am using 1.2.2. I read the instructions and they talk about some migrating but the direction don't match imanager 1.2.2 (i assume they are reffe...

Kernel update 2.6.25.x to 2.6.25.11 successfull
I've a pretty old but very usable computer with the following configuration: AMD 64 Processor 1024 megabytes memory 2 120 gigabyte harddisc Asus K8V Deluxe with onboard sound and ethernet controller NVidia FX5200 video using generic (Open Source) 'nv' driver The plain vanilla install brought me kernel 2.6.26.5 without hiccups. Two week ago I got confronted with the kernel update to kernel 2.6.25.9 also without a hitch. Now I'm confronted with the update to 2.6.25.11 and also without any problems. Do you also have luck or are there some hiccups to be ironed...

Update strategy iManager 2.5/2.6 to 2.7
We want to use iManager 2.7 but have several customized Plug-ins developed for iManager 2.5/2.6. So I�d like to run iManager 2.6 and 2.7 simultaneously (on different machines) to make a smooth update possible. So my question is, �Is it a problem when iManager 2.6 and 2.7 access the same RBS Collection or would you rather recommend 'updating the Collection' to 2.7 (and thereby maybe disabling iManager 2.6 to work properly)?� Regards -- Karsten Reineck ------------------------------------------------------------------------ Generally, you are recommended to alw...

PowerBuilder compatibilites with EAServer 4.2.2 Linux
Release Bulletin for EAServer 4.2.2 for Linux in Product Compatibilities i'm read PowerBuilder: This EAServer version does not include a PowerBuilder virtual machine. It's means deployed NVOs and WebDatawindows is not supported? This is a multi-part message in MIME format. --------------040006020003040509090500 Content-Type: text/plain; charset=ISO-8859-1; format=flowed Content-Transfer-Encoding: 7bit > It's means deployed NVOs and WebDatawindows is not > supported? That's correct - currently does not support PB NVOs. -- Rahul Jain Cynergy System...

Update server 6.2.2.181 errors
Hi we have a customer with zdm/patchlink update server ver 6.2.2.181. the install was with the zdm6052 install kit. MSDE is installed and running. server was auto updated to 6.2.2.181 we are getting the following error in the eventlog and in the agent log when apps (inventory scan was used in testing) are deployed. server/workstation also go offline. Agent: Get TaskList Communications Failure. Open Request Error (1110) An error occurred opening request to http://<server>/update/gravitixISAPI.dll I have checked that the correct gravitixISAPI.dll file is being used (r...

Web resources about - EA-Server 6.2 to PowerBuilder 11.2 EJB client update #2 - sybase.easerver.powerbuilder

PowerBuilder - Wikipedia, the free encyclopedia
PowerBuilder is an integrated development environment owned by Sybase , a division of SAP . It has been in use since 1991, peaking around 1998 ...

Sybase PowerBuilder tool readied for Microsoft's .Net
... Win32 or newer style .Net development After several years of work, Sybase is ready to deliver on the final step in its plan to move PowerBuilder ...

Jim O'Neil (@jimoneil) on Twitter
Sign in Sign up To bring you Twitter, we and our partners use cookies on our and other websites. Cookies help personalize Twitter content, tailor ...

Open Directory - Computers: Programming: Languages
about dmoz - dmoz blog - report abuse/spam - help the entire directory only in Programming/Languages Description Top : Computers : Programming ...

The HP Booth Staff (Goons) Owe Me an Apology
... when you might need to use it. For instance, when I was in the WinRunner world there were plugins for driving terminal emulators and powerbuilder ...

Contact Us - Sybase Inc
Thanks for visiting the 主页 section of Sybase.com. Here you will find information about Contact Us. For more information about Business Intelligence, ...

热门搜索 - 我的异常网
... 我的异常网 » 热门搜索 sdpnet2 移动【A111】其它用户原因鉴权失败,是什么意思啊 http:// 192.168.1.102:22578 本网站服务器位于美国,受美国法律保护 MiniUI js 破解 http://192.168.1.103:8080/ powerbuilder ...

Mobile app security: Always keep the back door locked
The best way to keep mobile apps safe is to secure the services they connect to.

10 Tech Skills That Will Instantly Net You A $100,000+ Salary
... that let's developers run Java applications. Java is highly popular language for writing web apps and custom enterprise apps. No. 8: PowerBuilder ...

Top Ranked Articles
Top Ranked Articles - Free source code and tutorials for Software developers and Architects.; Updated: 23 Feb 2013

Resources last updated: 12/4/2015 8:21:28 AM